### A free/open-source library for quantitative finance

Public Member Functions
CompositeConstraint Class Reference

Constraint enforcing both given sub-constraints More...

`#include <ql/math/optimization/constraint.hpp>`

Inheritance diagram for CompositeConstraint:
[legend]

List of all members.

## Public Member Functions

| CompositeConstraint (const Constraint &c1, const Constraint &c2)

## Detailed Description

Constraint enforcing both given sub-constraints